# DESCRIBE SANDBOX

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
DESCRIBE SANDBOX;
```

## Description <a href="#description" id="description"></a>

This provides information about a sandbox, if any, in your environment.

## Examples

A sandbox that was just started is in the `STARTING` status:

```sh
demodb.public/demostore# DESCRIBE SANDBOX;
+----------+--------------------------------------+---------------+-----------------+------------------------+-------------------------------+-------------------------------+
|  Status  |  Id                                  |  Region       |  Error Messages |  Function Sources      |  Created At                   |  Updated At                   |
+==========+======================================+===============+=================+========================+===============================+===============================+
| STARTING | ccff4480-1970-41fd-969e-34c40928eac6 | AWS us-east-1 | []              | ["demofnsrc","my_src"] | 2024-07-18 15:30:50 +0000 UTC | 2024-07-18 15:30:50 +0000 UTC |
+----------+--------------------------------------+---------------+-----------------+------------------------+-------------------------------+-------------------------------+
```

When the sandbox is bootstrapped and running, it transitions to the `RUNNING` status:

```sh
demodb.public/demostore# DESCRIBE SANDBOX;
+---------+--------------------------------------+---------------+-----------------+------------------------+-------------------------------+-------------------------------+
|  Status |  Id                                  |  Region       |  Error Messages |  Function Sources      |  Created At                   |  Updated At                   |
+=========+======================================+===============+=================+========================+===============================+===============================+
| RUNNING | ccff4480-1970-41fd-969e-34c40928eac6 | AWS us-east-1 | []              | ["demofnsrc","my_src"] | 2024-07-18 15:30:50 +0000 UTC | 2024-07-18 15:30:50 +0000 UTC |
+---------+--------------------------------------+---------------+-----------------+------------------------+-------------------------------+-------------------------------+
```

When the sandbox is terminated or stopped after being idle, it transitions to the `STOPPED` status:

```sh
demodb.public/demostore# DESCRIBE SANDBOX;
+---------+-----+---------+-----------------+-------------------+-------------+-------------+
|  Status |  Id |  Region |  Error Messages |  Function Sources |  Created At |  Updated At |
+=========+=====+=========+=================+===================+=============+=============+
| STOPPED |     |         |                 |                   | <null>      | <null>      |
+---------+-----+---------+-----------------+-------------------+-------------+-------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/sandbox/describe-sandbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
